<?php
/**
 * The Header for our theme
 *
 * Displays all of the <head> section and everything up till <div id="main">
 *
 * @package WordPress
 * @subpackage Unipi-LabCD
 * @since Twenty Fourteen 1.0
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=edge">	
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width">
	<title><?php wp_title( '|', true, 'right' ); ?></title>
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<!--[if lt IE 9]>
	<script src="<?php echo get_template_directory_uri(); ?>/js/html5.js"></script>
	<![endif]-->
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<div id="wrapper">

<div class="container-fluid" id="site-header">

	<div class="container container-xs-height">

<!-- variante per piccole risoluzioni: div nascosto con logo unipi 

  		 <div class="row hidden-sm hidden-md hidden-lg align-center">
 	<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home">
					<img src="<?php echo get_template_directory_uri(); ?>/img/cheru_180.png" alt="Università di Pisa">
				</a> 		 
  		 
  		 </div>
  -->		 
		<header class='row row-xs-height' role="banner">
	
	<?php
	$header_image = get_header_image();
	$immaginesecondaria = get_option( 'secondary_header_image' );
	$immaginesecondariasvg = get_option( 'secondary_header_image_svg' );
	$testosecondario = get_option( 'secondary_header_text' );
	$logosvg = get_option( 'logo_svg' );
	$logo_sez1 = get_option( 'logo_sez1' );
	$logo_sez1_svg = get_option( 'logo_sez1_svg' );
	$logo_sez2 = get_option( 'logo_sez2' );
	$logo_sez2_svg = get_option( 'logo_sez2_svg' );
	
	$parentpage = get_the_title( $post->post_parent );
	$ancestors = get_ancestors( get_the_id(), 'page' );
	$laurea = get_page_by_title( 'Laurea' );
	$magistrale = get_page_by_title( 'Laurea Magistrale' );
	$id_laurea = $laurea->ID;
	$id_magistrale = $magistrale->ID;
	
	//print_r($ancestors);
	
	list($header_image_width, $header_image_height) = getimagesize($header_image);
	if($immaginesecondaria) {
	list($immaginesecondaria_width, $immaginesecondaria_height) = getimagesize($immaginesecondaria);
	}
	
	/* header a 3 tab */
	if($immaginesecondaria || $testosecondario) {
	
	?>

  		<!-- contenitore logo1 e logo2 -->
  		<!-- variante per piccole risoluzioni: col-xs-12 -->
  		<div class="col-xs-7 col-sm-10 col-xs-height" id='logo1' <?php if($immaginesecondaria){ ?> style='background-position:75% top'<?php } ?> >
  			 
  			<!-- contenitore logo1 -->

  			<?php if($header_image){ ?>
  			<div class="col-xs-12 <?php if($immaginesecondaria){ ?> col-sm-10 <?php } else { ?>col-sm-6 <?php } ?>">

					<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home">
					<!--<img style="width:100%;max-width:<?php echo $header_image_width ?>px" src="<?php header_image(); ?>" alt="">-->
					<?php if($logosvg) { ?>
					<img src="<?php if((in_array($id_magistrale,$ancestors))||($post->post_title=='Laurea Magistrale')) { echo $logo_sez2_svg; } elseif((in_array($id_laurea,$ancestors))||($post->post_title=='Laurea')) { echo $logo_sez1_svg; }  else { echo $logosvg; }  ?>"style="width:100%;max-width:282px" onerror="this.onerror=null; this.src='<?php header_image(); ?>'" />
					
					<?php } else { ?>
					<img src="<?php header_image(); ?>"style="width:100%;max-width:<?php echo $header_image_width ?>px" />
					<?php } ?>
					</a>
					
			</div>			
				<?php } else { ?>

				<div class="col-xs-12 col-sm-6 v-center">
		
						<div class='content'>
							<div class='table-cell1'>
					<h1> 
			  		<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home">
					<?php  echo bloginfo( 'name' );  ?>				
					</a>
					</h1>
							</div>
						</div>
		
				</div>					
				<?php } ?>
				

  			<!-- contenitore logo2 -->
			<?php if($immaginesecondaria){ ?>		
  			
				<div class="col-xs-12  col-sm-2">
					<!--<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home">
					<img style="width:100%;max-width:<?php echo $immaginesecondaria_width ?>px"  src="<?php echo $immaginesecondaria ?>" alt="Università di Pisa">
					</a>-->
					<?php if ( is_multisite() ) { echo "<a href='" .network_site_url(). "' rel='home'>"; } ?> 

					<?php if($immaginesecondariasvg) { ?>
					<img src="<?php echo $immaginesecondariasvg; ?>"style="width:100%;max-width:<?php echo $immaginesecondaria_width ?>px" onerror="this.onerror=null; this.src='<?php $immaginesecondaria; ?>'" />
					<?php } else { ?>
					<img src="<?php echo $immaginesecondaria ?>"style="width:100%;max-width:<?php echo $immaginesecondaria_width ?>px" />
					<?php } ?>
					
					<?php if ( is_multisite() ) { echo "</a>"; } ?> 

				</div>


			<?php } else { ?>
			

				<div class="col-xs-12 col-sm-6 v-center">
		
						<div class='content'>
							<div class='table-cell1'>
			 					<?php if ( is_multisite() ) { echo "<a href='" .network_site_url(). "' rel='home'>"; } ?> 
								<h2 <?php if($header_image) echo "class='align-center align-left-xs'" ?>><?php echo $testosecondario ?></h2>
								<?php if ( is_multisite() ) { echo "</a>"; } ?> 
							</div>
						</div>
		
				</div>	


			<?php } ?>
			</div> <!-- chiude contenitore logo1 e 2 -->

  			<!-- contenitore logo3 -> logo Unipi -->
  			
  			<!-- variante per piccole risoluzioni: col-xs-12 e hidden-xs -->  			
			<div class="col-xs-5 col-sm-2 col-xs-height" id='logounipi'>
				<a href="http://www.unipi.it" title="Università di Pisa">
					<img src="<?php echo get_template_directory_uri(); ?>/img/cherubino.svg" onerror="this.onerror=null; this.src='<?php echo get_template_directory_uri(); ?>/img/cheru_180.png' alt='Università di Pisa'" /> 

					<!-- <img src="<?php echo get_template_directory_uri(); ?>/img/cheru_180.png" alt="Università di Pisa">-->
				</a>
			</div>
											
	
	<?php
	}
	
	/* header a due tab */
	else {
	?>

    	<div class="col-xs-7 col-sm-10 col-xs-height align-middle" >
  			<?php if($header_image){ ?>
  				
					<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home">				
				
					<?php if($logosvg) { ?>

					<img src="<?php echo $logosvg; ?>"style="width:100%;max-width:282px" onerror="this.onerror=null; this.src='<?php header_image(); ?>'" />
					
					<?php } else { ?>
					<img src="<?php header_image(); ?>"style="width:100%;max-width:<?php echo $header_image_width ?>px" />
					
					<?php } ?>
					</a>
				<?php } else { ?>
		
					<h1>
			  		<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home">
					<?php  echo bloginfo( 'name' );  ?>				
					</a>
					</h1>
		<?php } ?>		
		</div>
			
			<div class="col-xs-5 col-sm-2 col-xs-height" id='logounipi'>
				<a href="http://www.unipi.it" title="Università di Pisa">
					<img src="<?php echo get_template_directory_uri(); ?>/img/cherubino.svg" onerror="this.onerror=null; this.src='<?php echo get_template_directory_uri(); ?>/img/cheru_180.png' alt='Università di Pisa'" /> 

					<!-- <img src="<?php echo get_template_directory_uri(); ?>/img/cheru_180.png" alt="Università di Pisa">-->
				</a>

			</div>
						
			
			
<?php } ?>
	
	</header>
	
</div>
	
</div>

<div class="container">

	<div class="row no-padding" id='top_menu'>

		<div id='menu' class="navbar no-padding col-xs-10 align-left">
				
					<button type="button" class="navbar-toggle navbar-default" data-toggle="collapse" data-target=".navbar-collapse"><span class="icon-bar"></span><span class="icon-bar"></span><span class="icon-bar"></span></button>
					
					<?php 
					
					$menu = 'menu-principale';
					
						wp_nav_menu( array(
   						'menu'              => $menu,
    					'theme_location'    => 'header_nav',
    					'depth'             => 2,
    					'container'         => 'div',
   						'container_class'   => 'navbar-collapse collapse',
    					'menu_class'        => 'nav navbar-nav')
    					//'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
    					//'walker'            => new wp_bootstrap_navwalker())
						);
						
					
					
					?>
					

		</div>	
		
		<div class="col-xs-2 align-right no-padding">
			<div class="search-toggle"> Cerca
				<a href="#search-container" class="screen-reader-text sr-only"><?php _e( 'Search', 'twentyfourteen' ); ?></a>
			</div>

		<div id="search-container" class="search-box-wrapper hide">
			<div class="search-box">
				<?php get_search_form(); ?>
			</div>
		</div>
		
	</div>

</div>	
		

<div id="main" class="row">
